package com.vendor.loader.ui.ssu;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.Messages;
import com.vendor.loader.controler.Builder;
import com.vendor.loader.controler.GlobleControler;
import com.vendor.loader.struct.UpgradeFileInfo;
import com.vendor.loader.struct.ssu.SsuUpgradeInfo;
import com.vendor.loader.ui.ssu.SsuALoaderComposite;
import com.vendor.loader.util.FileUtil;
import com.vendor.loader.util.ssu.SsuPackageOptions;
import com.vendor.loader.util.ssu.SsusaTsPackageBuilder;
import java.io.File;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.widgets.Display;

class null implements SelectionListener {
  public void widgetSelected(SelectionEvent e) {
    if (!SsuALoaderComposite.this.validateInput())
      return; 
    String file = SsuALoaderComposite.this.tsFileField.getFilePath();
    if (!FileUtil.isContinue(file))
      return; 
    if (SsuALoaderComposite.access$000(SsuALoaderComposite.this).size() > 0)
      SsuALoaderComposite.access$100(SsuALoaderComposite.this).clear(); 
    String videoFile = SsuALoaderComposite.this.videoField.getFilePath();
    if (videoFile == null || videoFile.isEmpty()) {
      MessageDialog.openConfirm(Display.getDefault()
          .getActiveShell(), Messages.Information, Messages.InvalidFileName);
      return;
    } 
    File tempFile = new File(videoFile);
    if (!tempFile.exists()) {
      MessageDialog.openConfirm(Display.getDefault()
          .getActiveShell(), Messages.Information, Messages.InvalidFileName);
      return;
    } 
    UpgradeFileInfo fileInfo = new UpgradeFileInfo();
    fileInfo.setFileName(videoFile);
    SsuALoaderComposite.access$200(SsuALoaderComposite.this).add(fileInfo);
    String upgradeFile = SsuALoaderComposite.this.upgradeField.getFilePath();
    if (upgradeFile == null || upgradeFile.isEmpty()) {
      MessageDialog.openConfirm(Display.getDefault()
          .getActiveShell(), Messages.Information, Messages.InvalidFileName);
      return;
    } 
    File file1 = new File(upgradeFile);
    if (!file1.exists()) {
      MessageDialog.openConfirm(Display.getDefault()
          .getActiveShell(), Messages.Information, Messages.InvalidFileName);
      return;
    } 
    fileInfo = new UpgradeFileInfo();
    fileInfo.setFileName(upgradeFile);
    SsuALoaderComposite.access$300(SsuALoaderComposite.this).add(fileInfo);
    SsuUpgradeInfo info = SsuALoaderComposite.this.upgradeInfo.getInput();
    SsuPackageOptions packageOtions = new SsuPackageOptions();
    try {
      packageOtions.setNumberUpgradeFile(
          Integer.parseInt(SsuALoaderComposite.this.insertNumberValue.getText()));
    } catch (NumberFormatException numberFormatException) {
      packageOtions.setNumberUpgradeFile(3);
    } 
    int numberUpgradeFile = packageOtions.getNumberUpgradeFile();
    long videoFileLength = (new File(videoFile)).length();
    long updateFileLength = (new File(upgradeFile)).length();
    if (videoFileLength < updateFileLength * numberUpgradeFile) {
      Display.getDefault().asyncExec((Runnable)new Object(this));
      return;
    } 
    GlobleControler.runner.createRunnerJob("Packaged Ts (SSU FROM ANDROID)", 
        SsuALoaderComposite.access$400(SsuALoaderComposite.this), info, packageOtions, file, (Builder)new SsusaTsPackageBuilder());
  }
  
  public void widgetDefaultSelected(SelectionEvent e) {}
}
